For the complete documentation index, see llms.txt. This page is also available as Markdown.

Payin Detail

How to get the payin transaction detail in Pagsmile.

Get your Payin transaction detail in Pagsmile.

POST https://gateway-test.pagsmile.com/trade/query

Headers

Name
Type
Description

Content-Type*

String

application/json; chartset=UTF-8

Authorization*

String

Basic Base($app_id:$security_key)

Request Body

Name
Type
Description

app_id*

string

created app's id at dashboard

- Max. 32 chars -

timestamp*

string

yyyy-MM-dd HH:mm:ss

- Max. 19 chars -

out_trade_no

string

Merchant's trade NO., merchant sent in the request when creating transaction. (cannot be empty with trade_no at same time)

trade_no

string

Pagsmile trade NO., Pagsmile returned in the response when creating transaction. (cannot be empty with out_trade_no at same time)

{
    "code": "10000",
    "msg": "Success",
    "trade_no": "",
    "out_trade_no": "",
    "trade_status": "SUCCESS",
    "order_currency": "BRL",
    "order_amount": "20",
    //The information sent when creating requests will be returned
    "customer": {
        "identification": {
            "number": "",
            "type": ""
        },
        "username": "",
        "email": "",
        "phone": "",
        "buyer_id": "",
        "ip": ""
    },
    //Currently only PIX and SPEI return the payer's information.
    "payer": {
        "identification": {
            "number": "",
            "type": ""
        },
        "username": "",
        "account": {
            "number": "", //bank account number for PIX, clabe for SPEI
            "type": ""  //bank account type for PIX, clabe for SPEI
        }
        //Currently Only PIX returns the payer's bank information
        "bank": {
            "bank_id": "", //bank code or bank id
            "bank_name": "",
            "agency": "" //bank branch

        },
    },
    "refuse_detail": "", //only for refused transactions
    "create_time": "",
    "update_time": ""
}

Example

Note: 162************38 is pagsmile's test app id for sandbox, and MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ== is authorization token associated with the test app id.

Last updated